lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pastebinner/version"

Gem::Specification.new do |spec|
  spec.name          = "pastebinner"
  spec.version       = Pastebinner::VERSION
  spec.authors       = ["Brendan McDevitt"]
  spec.email         = ["brendan@mcdevitt.tech"]

  spec.summary       = "A ruby client library for interacting with the pastebin API."
  spec.homepage      = "https://git.mcdevitt.tech/bpmcdevitt/pastebinner"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = ['pastebinner']

  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_runtime_dependency "rest-client", "~> 2.0"
  spec.add_runtime_dependency "json", "~> 2.0"
  spec.add_runtime_dependency "pry", "~> 0.11"
end

